Bug 2243694 - CVE-2023-39323 golang: cmd/go: line directives allows arbitrary execution during build [fedora-all]
Summary: CVE-2023-39323 golang: cmd/go: line directives allows arbitrary execution dur...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Alejandro Sáez Morollón
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-39323
TreeView+ depends on / blocked
 
Reported: 2023-10-12 16:26 UTC by Avinash Hanwate
Modified: 2023-11-03 18:43 UTC (History)
9 users (show)

Fixed In Version: golang-1.20.10-2.fc38 golang-1.20.10-3.fc37 golang-1.21.3-1.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-29 01:33:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Avinash Hanwate 2023-10-12 16:26:05 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2242544

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Avinash Hanwate 2023-10-12 16:26:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2242544,2243694

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-10-20 12:00:43 UTC
FEDORA-2023-4bf641255e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4bf641255e

Comment 3 Fedora Update System 2023-10-20 12:00:47 UTC
FEDORA-2023-fe53e13b5b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-fe53e13b5b

Comment 4 Fedora Update System 2023-10-20 12:00:50 UTC
FEDORA-2023-822aab0a5a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-822aab0a5a

Comment 5 Fedora Update System 2023-10-21 02:27:37 UTC
FEDORA-2023-822aab0a5a has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-822aab0a5a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-822aab0a5a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-10-21 02:40:02 UTC
FEDORA-2023-fe53e13b5b has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-fe53e13b5b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-fe53e13b5b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-10-21 02:40:44 UTC
FEDORA-2023-4bf641255e has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-4bf641255e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4bf641255e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-29 01:33:18 UTC
FEDORA-2023-fe53e13b5b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-10-29 01:47:04 UTC
FEDORA-2023-4bf641255e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-11-03 18:43:05 UTC
FEDORA-2023-822aab0a5a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.